### Function Macro

# GLib array_insert_val

#### Declaration

    #define g_array_insert_val (
      a,
      i,
      v
    )

#### Description

Inserts an element into an array at the given index.

`g_array_insert_val()` is a macro which uses a reference to the value parameter `v`. This means that you cannot use it with literal values such as “27”. You must use variables.

This function is not directly available to language bindings.

#### Parameters

`a`

  Type: `-`

  A `GArray`.

`i`

  Type: `-`

  The index to place the element at.

`v`

  Type: `-`

  The value to insert into the array.